%define	major	3
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		clxclient
Summary:	C++ libraries
Version:	3.6.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries 
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		clxclient-3.6.1-linkage.patch
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/

BuildRequires:	clthreads-devel
BuildRequires:	x11-proto-devel
BuildRequires:	libxft-devel

%description
C++ libraries needed by Aeolus

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The libraries from %{name} package needed by Aeolus

%files -n %{libname}
%{_libdir}/libclxclient.so.%{major}*

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %name
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel < %{version}-%{release}

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/clxclient.h
%{_libdir}/libclxclient.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .clxclient-3.6.1-linkage.patch

%build
%make LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%{_includedir}
%makeinstall PREFIX=%{buildroot}%{_prefix}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 347948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 3.6.1-1.mga3
+ Revision: 321928
- spec cleaned
- Thanks to Philippe Didier
- Import from Mandriva

